Arthur de Jong

Open Source / Free Software developer

summaryrefslogtreecommitdiffstats
path: root/tests/test_nsscmds.sh
diff options
context:
space:
mode:
authorArthur de Jong <arthur@arthurdejong.org>2007-12-26 21:36:17 +0100
committerArthur de Jong <arthur@arthurdejong.org>2007-12-26 21:36:17 +0100
commit7e6544330c994fa8b593ab3a75e1fe5dfd745bcd (patch)
tree2fd0c3e4deafb1edd278bbc027ddf7bfef7f4905 /tests/test_nsscmds.sh
parentc79df10158c141076522263b57da6ef46e852810 (diff)
ignore erros in nss commands
git-svn-id: http://arthurdejong.org/svn/nss-pam-ldapd/nss-ldapd@536 ef36b2f9-881f-0410-afb5-c4e39611909c
Diffstat (limited to 'tests/test_nsscmds.sh')
-rwxr-xr-xtests/test_nsscmds.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/test_nsscmds.sh b/tests/test_nsscmds.sh
index b670ee2..a86c60b 100755
--- a/tests/test_nsscmds.sh
+++ b/tests/test_nsscmds.sh
@@ -24,6 +24,8 @@
# FIXME: update the above description and provide actual LDIF file
# It's probably best to run this in an environment without nscd.
+# note that nscd should not be running
+
set -e
# check if LDAP is configured correctly
@@ -52,7 +54,7 @@ check() {
# run the command
echo 'checking "'"$cmd"'"'
actualfile=`mktemp -t actual.XXXXXX 2> /dev/null || tempfile -s .actual 2> /dev/null`
- eval "$cmd" > "$actualfile" 2>&1
+ eval "$cmd" > "$actualfile" 2>&1 || true
# check for differences
if ! diff -Nauwi "$expectfile" "$actualfile"
then